---
apiVersion: v1
kind: Service
metadata:
  name: litellm
  namespace: litellm
spec:
  internalTrafficPolicy: Cluster
  ports:
    - name: http
      port: 4000
      protocol: TCP
      targetPort: http
  selector:
    app: litellm
  sessionAffinity: None
  type: ClusterIP
---
apiVersion: v1
kind: Service
metadata:
  name: redis-service
  namespace: litellm
spec:
  internalTrafficPolicy: Cluster
  ports:
    - name: redis
      port: 6379
      protocol: TCP
      targetPort: redis
  selector:
    app: redis
  sessionAffinity: None
  type: ClusterIP
